from setuptools import setup, find_packages
 
classifiers = [
  'Development Status :: 5 - Production/Stable',
  'Intended Audience :: Education',
  'Operating System :: Microsoft :: Windows :: Windows 10',
  'License :: OSI Approved :: MIT License',
  'Programming Language :: Python :: 3'
]
 
setup(
  name='Prakhar Kumar',
  version='0.0.1',
  description='A basic machine learning data preprocessing library',
  long_description=open('README.txt').read() + '\n\n' + open('CHANGELOG.txt').read(),
  url='https://github.com/Prakhar2295',  
  author='Prakhar Kumar',
  author_email='prakhar.kumar5@gmail.com',
  license='MIT', 
  classifiers=classifiers,
  keywords='Machine Learning Data Preprocessing', 
  packages=find_packages(),
  install_requires=['scikit-learn',
                    'scipy',
                    'attrs==23.1.0',
                    'certifi==2023.5.7',
                    'charset-normalizer',
                    'colorama==0.4.6',
                    'contourpy==1.1.0',
                     'cycler==0.11.0',
                     'dacite==1.8.1',
                    'htmlmin==0.1.12',
                    'ydata-profiling==4.3.1',
                    'scikit-learn==1.2.2',
                    'scipy==1.10.1',
                    'pandas-profiling==3.6.6',
                    'statsmodels'] 
)